diff -ruN a/config.h b/config.h
--- a/config.h	2011-07-02 12:40:06.000000000 +0200
+++ b/config.h	2015-02-09 22:24:40.448189530 +0100
@@ -3,3 +3,7 @@
 static const char *normbgcolor = "#222222";
 static const char *normfgcolor = "#cccccc";

+#define WINWIDTH 640
+#define WINHEIGHT 25
+#define WINXPOS (display_width/2 - WINWIDTH/2)
+#define WINYPOS (display_height/2 - WINHEIGHT/2)
diff -ruN a/thinglaunch.c b/thinglaunch.c
--- a/thinglaunch.c	2011-07-02 12:40:06.000000000 +0200
+++ b/thinglaunch.c	2015-02-09 22:24:31.140189590 +0100
@@ -47,8 +47,6 @@
 static char *name = "thinglaunch";
 
 #define MAXCMD 255
-#define WINWIDTH 640
-#define WINHEIGHT 25
 
 /* the actual commandline */
 wchar_t command[MAXCMD+1];
@@ -222,7 +220,6 @@
 {
 	char *display_name;
 	int display_width, display_height;
-	int top, left;
 	XSizeHints *win_size_hints;
 	XSetWindowAttributes attrib;
 	XClassHint *ch;
@@ -248,9 +245,6 @@
 	display_width = DisplayWidth(dpy, screen);
 	display_height = DisplayHeight(dpy, screen);
 
-	top = (display_height/2 - WINHEIGHT/2);
-	left = (display_width/2 - WINWIDTH/2);
-
 	bgcol = getcolor(normbgcolor);
 	fgcol = getcolor(normfgcolor);
 
@@ -260,7 +254,7 @@
 
 	attrib.override_redirect= True;
 	win = XCreateWindow(dpy, RootWindow(dpy, screen),
-			left, top, WINWIDTH, WINHEIGHT,
+			WINXPOS, WINYPOS, WINWIDTH, WINHEIGHT,
 			0, CopyFromParent,InputOutput,CopyFromParent,
 			CWOverrideRedirect,&attrib);
 
